/** @file fifo_msg.cpp
 * ,    .
 *
 * @author   (chupilko@ispras.ru)
 */

#include <fifo_msg.h>

namespace cpptesk {
namespace examples {
namespace fifo {

InputData::InputData(void)
{
    //   data.
    CPPTESK_ADD_FIELD(InputData::data);
    //    .
    randomize();
}

InputData::~InputData(void) {}

OutputData::OutputData(void)
{
    //   data.
    CPPTESK_ADD_FIELD(OutputData::data);
}

OutputData::OutputData(uint8_t output_data)
{
    //   data.
    CPPTESK_ADD_FIELD(OutputData::data);
    //    data   .
    data = output_data;
}

OutputData::~OutputData(void) {}

}}}

